var mongoose = require('mongoose');
var Schema = mongoose.Schema;

var Annonce = new Schema({
    title: String,
    type: String,
    published: Boolean, // Oui ou non
    status: String, // (disponible, loué, vendu),
    description: String,
    price: Number,
    availabilityDate: Date, // Date de disponibilité
    photos: { data: Buffer, contentType: String }, // photos
    region: String,
    address: String
    questions: [
        {type: mongoose.Schema.Types.ObjectId, ref: 'Question'}
    ],
}, {
    timestamps: true
});

module.exports = mongoose.model('Annonce', Annonce);