import React from 'react';
import ReactDOM from 'react-dom';
import './styles/index.css';
import App from './containers/App';
import * as serviceWorker from './serviceWorker';

import { ApolloProvider } from '@apollo/react-hooks'
import { ApolloClient } from 'apollo-client'
import { HttpLink } from 'apollo-link-http'
import { InMemoryCache } from 'apollo-cache-inmemory'

const mongoose = require('mongoose');



const link = new HttpLink({
  uri: 'http://localhost:4000'
})

const cache = new InMemoryCache();

const client = new ApolloClient({
  cache,
  link
})

// mongoose.connect('mongodb://localhost:27017/gql', { useUnifiedTopology: true, useNewUrlParser: true })
//   .then(() => {
//     console.log('connected to the db');
//   })
//   .catch(err => {
//     console.log('connection failed ' + err);
//   }); 

ReactDOM.render(
  <ApolloProvider client={client}>
    <App />
  </ApolloProvider>,
  document.getElementById('root')
)
serviceWorker.unregister();